package com.winhc.phoenix.example.enums;

import com.winhc.phoenix.example.service.impl.SearchV7ServiceImpl;
import com.winhc.phoenix.example.service.impl.SearchV8ServiceImpl;
import com.winhc.phoenix.example.service.impl.SearchV8SimpServiceImpl;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author: XuJiakai
 * 2020/12/8 19:04
 */
@Getter
@AllArgsConstructor
public enum EsVersion {
    v7(SearchV7ServiceImpl.index),
    v8_simp(SearchV8SimpServiceImpl.index),
    v8(SearchV8ServiceImpl.index);
    private final String value;
}
